from factory.django import DjangoModelFactory
import factory

from surveys.models import Survey
from faker import Faker

fake = Faker('de_CH')


class SurveyFactory(DjangoModelFactory):
    class Meta:
        model = Survey

    title = factory.LazyAttribute(lambda x: fake.sentence(nb_words=3))
    data = 'null'
